Subject: Re: [net-next] intel: add SPDX identifiers to all the Intel drivers

From: Jeff Kirsher <[email-masked]>
Date: Tue, 20 Mar 2018 18:09:20 -0700

On Tue, 2018-03-20 at 16:46 -0700, Philippe Ombredanne wrote:
> Allan,
> 
> On Tue, Mar 20, 2018 at 1:48 PM, Allan, Bruce W <[email-masked]>
> wrote:
> > > -----Original Message-----
> > > From: [email-masked] [mailto:[email-masked]
> > > rg]
> > > On Behalf Of Jeff Kirsher
> > > Sent: Tuesday, March 20, 2018 10:52 AM
> > > To: Joe Perches <[email-masked]>; [email-masked]; Philippe
> > > Ombredanne <[email-masked]>
> > > Cc: [email-masked]; [email-masked]; [email-masked];
> > > [email-masked]
> > > Subject: Re: [net-next] intel: add SPDX identifiers to all the Intel
> > > drivers
> > > 
> > > On Tue, 2018-03-20 at 10:41 -0700, Joe Perches wrote:
> > > > On Tue, 2018-03-20 at 10:13 -0700, Jeff Kirsher wrote:
> > > > > Add the SPDX identifiers to all the Intel wired LAN driver files,
> > > > > as
> > > > > outlined in Documentation/process/license-rules.rst.
> > > > 
> > > > So far the Documentation does not show using the -only variant.
> > > > 
> > > > For a discussion, please see:
> > > > https://lkml.org/lkml/2018/2/8/311
> > 
> > But the Linux Foundation, the authority maintaining the valid SPDX
> > identifiers, indicates at https://spdx.org/licenses/ that "GPL-2.0" is
> > deprecated while "GPL-2.0-only" (and others) is appropriate.
> > Was there any mention in the thread or other conversations if/when the
> > kernel's documentation (and all existing uses of "GPL-2.0" in the
> > kernel) will be updated to "GPL-2.0-only"?
> 
> The kernel (as documented by Thomas [1]) is using for now the V2.6 of
> the SPDX licenses list. [2] IMHO the reference should be the kernel
> doc and nothing else to ensure consistency and avoid confusion (which
> obviously was not avoided entirely here ;) ).
> 
> What happened is in late December a new version 3 was published by
> SPDX and the v2.6 is no longer online. I will bring this up to the
> SPDX group because we should be able to reference the version 2.6
> online (it is still in git though [2]).
> 
> When the kernel maintainers decide to switch to V3.0 of the SPDX list,
> the doc will be updated and then Joe's script could be applied at once
> to update the past.

I am fine with changing my patch back to v2.6 SPDX ids, as long as Joe's
script in the future won't touch the Intel wired LAN drivers, since we need
to retain copyright on several files through out our drivers.

> 
> What matters most here is consistency: having some v2.6 and some v3.0
> SPDX ids at once is not a happy thing IMHO.

I understand that having a mix of v2.6 and v3.0 SPDX at once is not a happy
thing.

> [1]
> https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/tree/D
> ocumentation/process/license-rules.rst
> [2] https://github.com/spdx/license-list-data/tree/v2.6